curl https://api2.ecomailapp.cz/campaigns/segment/5c36008811e45/stats \
-H "key: YOUR_API_KEY" \
-H "Content-Type: application/json"
$segmentId = '5c36008811e45';
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api2.ecomailapp.cz/campaigns/segment/{$segmentId}/stats");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'key: YOUR_API_KEY',
'Content-Type: application/json',
]);
$response = curl_exec($ch);
curl_close($ch);
{
"stats": {
"810": {
"bounce": 0,
"bounce_rate": 0,
"click": 3,
"click_rate": 75,
"conversions": 2,
"conversions_value": 2500,
"delivery": 4,
"delivery_rate": 100,
"inject": 4,
"open": 4,
"open_rate": 100,
"spam": 0,
"spam_rate": 0,
"unsub": 1,
"unsub_rate": 25
}
}
}
Campaigns
Get segment stats
Retrieves performance statistics for a specific segment across all campaigns it was sent to.
GET
/
campaigns
/
segment
/
{segmentId}
/
stats
curl https://api2.ecomailapp.cz/campaigns/segment/5c36008811e45/stats \
-H "key: YOUR_API_KEY" \
-H "Content-Type: application/json"
$segmentId = '5c36008811e45';
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api2.ecomailapp.cz/campaigns/segment/{$segmentId}/stats");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'key: YOUR_API_KEY',
'Content-Type: application/json',
]);
$response = curl_exec($ch);
curl_close($ch);
{
"stats": {
"810": {
"bounce": 0,
"bounce_rate": 0,
"click": 3,
"click_rate": 75,
"conversions": 2,
"conversions_value": 2500,
"delivery": 4,
"delivery_rate": 100,
"inject": 4,
"open": 4,
"open_rate": 100,
"spam": 0,
"spam_rate": 0,
"unsub": 1,
"unsub_rate": 25
}
}
}
Segment ID. Can be retrieved from the Show list detail endpoint.
curl https://api2.ecomailapp.cz/campaigns/segment/5c36008811e45/stats \
-H "key: YOUR_API_KEY" \
-H "Content-Type: application/json"
$segmentId = '5c36008811e45';
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api2.ecomailapp.cz/campaigns/segment/{$segmentId}/stats");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'key: YOUR_API_KEY',
'Content-Type: application/json',
]);
$response = curl_exec($ch);
curl_close($ch);
{
"stats": {
"810": {
"bounce": 0,
"bounce_rate": 0,
"click": 3,
"click_rate": 75,
"conversions": 2,
"conversions_value": 2500,
"delivery": 4,
"delivery_rate": 100,
"inject": 4,
"open": 4,
"open_rate": 100,
"spam": 0,
"spam_rate": 0,
"unsub": 1,
"unsub_rate": 25
}
}
}
⌘I